Bug 233063 - multimedia/vlc3: fails to build if multimedia/aom is installed
Summary: multimedia/vlc3: fails to build if multimedia/aom is installed
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2018-11-07 23:48 UTC by rkoberman
Modified: 2018-11-17 16:01 UTC (History)
3 users (show)

See Also:
riggs: merge-quarterly+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rkoberman 2018-11-07 23:48:05 UTC
I suspect a typo. When building with aom, the build fails with:
codec/aom.c:99:23: error: use of undeclared identifier 'AOM_IMG_FMT_444A'; did
      you mean 'AOM_IMG_FMT_I444'?
    { VLC_CODEC_YUVA, AOM_IMG_FMT_444A, 8, 0 },
                      ^~~~~~~~~~~~~~~~
                      AOM_IMG_FMT_I444
/usr/local/include/aom/aom_image.h:50:3: note: 'AOM_IMG_FMT_I444' declared here
  AOM_IMG_FMT_I444 = AOM_IMG_FMT_PLANAR | 6,
Comment 1 Walter Schwarzenfeld freebsd_triage 2018-11-08 00:40:05 UTC
I think you mean if you build ffmpeg with AOM=on, vlc3 fails?
Comment 2 Walter Schwarzenfeld freebsd_triage 2018-11-08 01:05:09 UTC
I have the same error.
Comment 3 Walter Schwarzenfeld freebsd_triage 2018-11-08 01:41:02 UTC
There is an recent update from today:
https://svnweb.freebsd.org/ports/head/multimedia/aom/Makefile?r1=484418&r2=484417&pathrev=484418
Comment 4 Walter Schwarzenfeld freebsd_triage 2018-11-08 01:55:40 UTC
Same error with new aom version 1.0.0-893.
Comment 5 rkoberman 2018-11-08 03:27:48 UTC
I'm sory. Yes, ffmpeg is built with aom.
Comment 6 Jan Beich freebsd_committer 2018-11-08 05:41:55 UTC
After ports r483076 AOM_IMG_FMT_444A is indeed gone.
https://bugs.chromium.org/p/aomedia/issues/detail?id=2199
Comment 7 Jan Beich freebsd_committer 2018-11-08 12:25:10 UTC
Not ffmpeg-related as vlc3 wants to use aom directly but the dependency isn't tracked.
https://lists.freebsd.org/pipermail/svn-ports-head/2018-September/188579.html
Comment 8 Thomas Zander freebsd_committer 2018-11-10 12:50:46 UTC
When disabling vlc's aom support by adding --disable-aom to CONFIGURE_ARGS, it is still able to play AV1 files via ffmpeg, correct?
Comment 9 Jan Beich freebsd_committer 2018-11-10 13:45:52 UTC
It's probably safe to remove/ifdef AOM_IMG_FMT_444A line. Not every video codec supports VLC_CODEC_YUVA i.e., just libvpx and libavcodec.
https://git.libav.org/?p=libav.git;a=commitdiff;h=8d80046a0ff7
Comment 10 commit-hook freebsd_committer 2018-11-17 05:59:11 UTC
A commit references this bug:

Author: riggs
Date: Sat Nov 17 05:58:49 UTC 2018
New revision: 485115
URL: https://svnweb.freebsd.org/changeset/ports/485115

Log:
  Fix build with installed libaom; support libaom via AOM OPTION

  PR:		233063
  Reported by:	rkoberman@gmail.com, patch idea by jbeich
  MFH:		2018Q4

Changes:
  head/multimedia/vlc3/Makefile
  head/multimedia/vlc3/files/patch-modules_codec_aom.c
Comment 11 commit-hook freebsd_committer 2018-11-17 06:22:32 UTC
A commit references this bug:

Author: riggs
Date: Sat Nov 17 06:21:38 UTC 2018
New revision: 485116
URL: https://svnweb.freebsd.org/changeset/ports/485116

Log:
  MFH: r485115

  Fix build with installed libaom; support libaom via AOM OPTION

  PR:		233063
  Reported by:	rkoberman@gmail.com, patch idea by jbeich

  Approved by:	ports-secteam (riggs)

Changes:
_U  branches/2018Q4/
  branches/2018Q4/multimedia/vlc3/Makefile
  branches/2018Q4/multimedia/vlc3/files/patch-modules_codec_aom.c